# Google Maps Engine API . rasterCollections . permissions

## Instance Methods

Remove permission entries from an already existing asset.

Add or update permission entries to an already existing asset.

Return all of the permissions for the specified asset.

### Method Details

`batchDelete(id, body)`

    Remove permission entries from an already existing asset.

    Args:
      id: string, The ID of the asset from which permissions will be removed. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # The request sent to mapsengine.permissions.batchDelete.
        "ids": [ # An array of permission ids to be removed. This could be the email address of the user or group this permission refers to, or the string "anyone" for public permissions.
          "A String",
        ],
      }

    Returns:
      An object of the form:

        { # The response returned by a call to mapsengine.permissions.batchDelete.
      }

`batchUpdate(id, body)`

    Add or update permission entries to an already existing asset.

    An asset can hold up to 20 different permission entries. Each batchInsert request is atomic.

    Args:
      id: string, The ID of the asset to which permissions will be added. (required)
      body: object, The request body. (required)
        The object takes the form of:

    { # The request sent to mapsengine.permissions.batchUpdate.
        "permissions": [ # The permissions to be inserted or updated.
          { # A permission defines the user or group that has access to an asset, and the type of access they have.
            "type": "A String", # The account type.
            "role": "A String", # The type of access granted to this user or group.
            "discoverable": True or False, # Indicates whether a public asset is listed and can be found via a web search (value true), or is visible only to people who have a link to the asset (value false).
            "id": "A String", # The unique identifier of the permission. This could be the email address of the user or group this permission refers to, or the string "anyone" for public permissions.
          },
        ],
      }

    Returns:
      An object of the form:

        { # The response returned by a call to mapsengine.permissions.batchUpdate.
      }

`list(id)`

    Return all of the permissions for the specified asset.

    Args:
      id: string, The ID of the asset whose permissions will be listed. (required)

    Returns:
      An object of the form:

        {
        "permissions": [ # The set of permissions associated with this asset.
          { # A permission defines the user or group that has access to an asset, and the type of access they have.
            "type": "A String", # The account type.
            "role": "A String", # The type of access granted to this user or group.
            "discoverable": True or False, # Indicates whether a public asset is listed and can be found via a web search (value true), or is visible only to people who have a link to the asset (value false).
            "id": "A String", # The unique identifier of the permission. This could be the email address of the user or group this permission refers to, or the string "anyone" for public permissions.
          },
        ],
      }